$(function(){
    // 文本域(充值金额)交互样式
	$('#amount').focus(function() { $(this).css({ 'border-color': '#40B3FF', 'background-color': '#E5F5FF' }); });
	$('#amount').blur(function() { $(this).css({ 'border-color': '#C8C8FF', 'background-color': '#FFFFFF' }); });
    // 表单提交事件
	$('#recharge').submit(function() {
		if (document.recharge.amount.value.length == 0) {
			alert("请输入充值金额");
			document.recharge.amount.focus();
			return false;
		}
		var reg = new RegExp(/^\d*\.?\d{0,2}$/);
		if (!reg.test(document.recharge.amount.value)) {
			alert("充值金额输入有误");
			document.recharge.amount.focus();
			return false;
		}
		if (Number(document.recharge.amount.value) < 0.01) {
			alert("充值金额最小是 0.01 元");
			document.recharge.amount.focus();
			return false;
		}
	});

	$(".recharge_mode").click(function () {
		$(this).siblings().removeClass('recharge_mode_active')
		$(this).addClass('recharge_mode_active')
		$(this).children('input').click()
	})
})